summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZdenek Kabelac <zkabelac@redhat.com>2015-04-14 14:56:15 +0200
committerZdenek Kabelac <zkabelac@redhat.com>2015-04-15 13:35:42 +0200
commit1a7dd13e70e32bc519b27b509b67b0de8f86e631 (patch)
tree4fd455fe34d09c72e4674e08d17ec74d266fe134
parentf5466fe43597bfacb7fc70e0a61d569b6c5198c4 (diff)
downloadlvm2-1a7dd13e70e32bc519b27b509b67b0de8f86e631.tar.gz
tests: no tables for no devices
If dm table does't contain any PREFIX device, don't bother to call other commands No tracing if test is skipped.
-rw-r--r--test/lib/utils.sh51
1 files changed, 27 insertions, 24 deletions
diff --git a/test/lib/utils.sh b/test/lib/utils.sh
index 1713cc9cc..e2b257d00 100644
--- a/test/lib/utils.sh
+++ b/test/lib/utils.sh
@@ -132,6 +132,8 @@ STACKTRACE() {
done
fi
+ test -f SKIP_THIS_TEST && exit 200
+
test -z "$LVM_TEST_NODEBUG" -a -f debug.log && {
IDX=
for i in debug.log* ; do
@@ -139,39 +141,40 @@ STACKTRACE() {
sed -e "s,^,## DEBUG${IDX}: ," $i
IDX=$(($IDX + 1))
done
- test -e clvmddebug.log && {
+ if test -e clvmddebug.log ; then
echo "<======== CLVMD debug log ========>"
sed -e "s,^,## CLVMD: ," clvmddebug.log
- }
- test -e strace.log && {
+ fi
+ if test -e strace.log ; then
echo "<======== Strace debug log ========>"
sed -e "s,^,## STRACE: ," strace.log
- }
- echo "<======== Info ========>"
- dmsetup info -c | grep1_ "$PREFIX" | sed -e "s,^,## DMINFO: ,"
- echo "<======== Active table ========>"
- dmsetup table | grep "$PREFIX" | sed -e "s,^,## DMTABLE: ,"
- echo "<======== Inactive table ========>"
- dmsetup table --inactive | grep "$PREFIX" | sed -e "s,^,## DMITABLE: ,"
- echo "<======== Status ========>"
- dmsetup status | grep "$PREFIX" | sed -e "s,^,## DMSTATUS: ,"
- echo "<======== Tree ========>"
- dmsetup ls --tree | sed -e "s,^,## DMTREE: ,"
- echo "<======== Recursive list of $DM_DEV_DIR ========>"
- ls -Rl --hide=shm --hide=bus --hide=snd --hide=input --hide=dri \
- --hide=net --hide=hugepages --hide=mqueue --hide=pts \
- "$DM_DEV_DIR" | sed -e "s,^,## LSLR: ,"
- echo "<======== Udev DB content ========>"
- for i in /sys/block/dm-* /sys/block/loop* ; do
- udevadm info --path "$i" || true
- done | sed -e "s,^,## UDEV: ,"
+ fi
+ dmsetup info -c | grep1_ "$PREFIX" > out
+ if test $(wc -l < out) -gt 1 ; then
+ echo "<======== Info ========>"
+ sed -e "s,^,## DMINFO: ," out
+ echo "<======== Active table ========>"
+ dmsetup table | grep "$PREFIX" | sed -e "s,^,## DMTABLE: ,"
+ echo "<======== Inactive table ========>"
+ dmsetup table --inactive | grep "$PREFIX" | sed -e "s,^,## DMITABLE: ,"
+ echo "<======== Status ========>"
+ dmsetup status | grep "$PREFIX" | sed -e "s,^,## DMSTATUS: ,"
+ echo "<======== Tree ========>"
+ dmsetup ls --tree | sed -e "s,^,## DMTREE: ,"
+ echo "<======== Recursive list of $DM_DEV_DIR ========>"
+ ls -Rl --hide=shm --hide=bus --hide=snd --hide=input --hide=dri \
+ --hide=net --hide=hugepages --hide=mqueue --hide=pts \
+ "$DM_DEV_DIR" | sed -e "s,^,## LSLR: ,"
+ echo "<======== Udev DB content ========>"
+ for i in /sys/block/dm-* /sys/block/loop* ; do
+ udevadm info --query=all --path "$i" || true
+ done | sed -e "s,^,## UDEV: ,"
+ fi
echo "<======== Script file \"$(< TESTNAME)\" ========>"
local script=$0
test -f "$script" || script="$TESTOLDPWD/$0"
awk '{print "## Line:", NR, "\t", $0}' "$script"
}
-
- test -f SKIP_THIS_TEST && exit 200
}
init_udev_transaction() {